Openssl installation xavier for deepstream-test4-app AMQP

I am ruuing deepstream-test4-app with AMQP to run AMQP over SSL i need to install openssl in xavier. but i check xavier has
OpenSSL 1.1.1.

But i have error once i run cmake … command for rabbitmq i got following error.

CMake Error at /usr/share/cmake-3.10/Modules/FindPackageHandleStandardArgs.cmake:137 (message):
Could NOT find OpenSSL, try to set the path to OpenSSL root folder in the
system variable OPENSSL_ROOT_DIR (missing: OPENSSL_CRYPTO_LIBRARY
OPENSSL_INCLUDE_DIR) (Required is at least version “0.9.8”)
Call Stack (most recent call first):
/usr/share/cmake-3.10/Modules/FindPackageHandleStandardArgs.cmake:378 (_FPHSA_FAILURE_MESSAGE)
/usr/share/cmake-3.10/Modules/FindOpenSSL.cmake:390 (find_package_handle_standard_args)
CMakeLists.txt:122 (find_package)

– Configuring incomplete, errors occurred!
See also “/home/ndivia/Project/rabbitmq-c/build/CMakeFiles/CMakeOutput.log”.

So do we need to install OpenSSL for xavier. I appreciate your expert’s advice.

Hi win.aungsan, issue can be resolved by

sudo apt-get install libssl-dev

Hope this helps someone.